#!/usr/bin/perl	-w

###############################################################################
#                                                                             #
# Filename: go_power.cgi                                                      #
#                                                                             #
# Description: Contains CGI script needed to enable group operations for      #
#              power management of element nodes.                             #
#                                                                             #
###############################################################################
###############################################################################
#                                                                             #
#  Copyright  2000 - 2001 Intel Corporation.                                 #
#  Intel Corporation All Rights Reserved.                                     #
#                                                                             #
#  The source code contained or described herein and all documents related to #
#  the source code ("Material") are owned by Intel Corporation or its         #
#  suppliers or licensors.  Title to the Material remains with Intel          #
#  Corporation or its suppliers and licensors.  The Material contains trade   #
#  secrets and proprietary and confidential information of Intel or its       #
#  suppliers and licensors.  The Material is protected by worldwide copyright #
#  and trade secret laws and treaty provisions.  No part of the Material may  #
#  be used, copied, reproduced, modified, published, uploaded, posted,        #
#  transmitted, distributed, or disclosed in any way without Intel's prior    #
#  express written permission.                                                #
#                                                                             #
#  No license under any patent, copyright, trade secret or other intellectual #
#  property right is granted to or conferred upon you by disclosure or        #
#  delivery of the Materials, either expressly, by implication, inducement,   #
#  estoppel or otherwise. Any license under such intellectual property rights #
#  must be express and approved by Intel in writing.                          #
#                                                                             #
###############################################################################

# Put the PERL library in the path.
use lib '/usr/ins/intel/gui/perllib';

use strict;
use LanguageResource;
use GroupOperations;
use CGI;

###############################################################################
# Main
###############################################################################

sub Main
{
	my ($cgi)						= @_;
    my $html;
	my $Result;
	my $Status;
	my $PreferredLanguage			= (split(/,/, $ENV{'HTTP_ACCEPT_LANGUAGE'}))[0];
	my $StringResource				= new LanguageResource($PreferredLanguage, '/usr/ins/intel/gui/locale', [ 'go_power.lrc', 'common-em.lrc' ]);
	my $GroupOperations				= new GroupOperations($PreferredLanguage, 'go_power', 11, '/cgi-bin/emc/cp_power.cgi', 5555);
	my %_R							= ( 'IDT:11'			=> '',
										'WARNING'			=> '',
										'REBOOT_RELOGIN'	=> '',
										'REBOOT'			=> '',
										'SHUTDOWN'			=> '',
										'REBOOT_SERVERS'	=> '',
										'SHUTDOWN_SERVERS'	=> '' );
	my $TargetListContentHidden;
	my $PostActivity				= ($cgi->param('control_reboot'  ) || 
									   $cgi->param('control_shutdown')) ? 1 : 0;
	
	# Get the string resources.
	$StringResource->GetStrings(\%_R);
	
	# If applying changes...
	if ($PostActivity)
	{
		# Generate the distribution directive...
		unless (0 == ($Result = $GroupOperations->GenerateDirective($cgi)))
		{
			# Get the error string.
			$Status = $GroupOperations->GetErrorString($Result);
		}
	}

	# Get the hidden target list content.
	$TargetListContentHidden = $GroupOperations->GetTargetListContentHidden();

	$html = <<HERE;
<form action="go_power.cgi" method="post" enctype="application/x-www-form-urlencoded">
  <table border="0" width="375" bgcolor="#EEEEEE">
    <tr>
      <td>
        <table border="0" width="100%">
          <tr>
            <td width="100%" colspan="2"><b><font color="red">$_R{'WARNING'}&nbsp;</font></b>$_R{'REBOOT_RELOGIN'}&nbsp;</td>
          </tr>
          <tr>
            <td width="100%" colspan="2">
              <b>&nbsp;</b>
            </td>
          </tr>
          <tr>
            <td width="50%" align="left"><b>$_R{'REBOOT'}</b></td>
            <td width="50%" align="right">
          </td>
          </tr>
          <tr>
            <td width="50%" valign="top"></td>
            <td width="50%" valign="top" align="right">
              <script>
                if(mysel == 0)
                {
                  document.write("<input type=submit class=clsButton DISABLED value='  $_R{'REBOOT_SERVERS'}  ' name=control_reboot>");
                }
                else
                {
                  document.write("<input type=submit class=clsButton value='  $_R{'REBOOT_SERVERS'}  ' name=control_reboot>");
                }
              </script>
            </td>
          </tr>
          <tr>
            <td width="100%" valign="top" colspan="2">&nbsp;</td>
          </tr>
          <tr>
            <td width="50%"><b>$_R{'SHUTDOWN'}</b></td>
            <td width="50%" align="right">
          </td>
          </tr>
          <tr>
            <td width="50%"></td>
            <td width="50%" align="right">
              <script>
                if(mysel == 0)
                {
                  document.write("<input type=submit class=clsButton DISABLED value='$_R{'SHUTDOWN_SERVERS'}' name=control_shutdown>"); 
                }
                else
                {
                  document.write("<input type=submit class=clsButton value='$_R{'SHUTDOWN_SERVERS'}' name=control_shutdown>");
                }
              </script>
            </td>
          </tr>
          <tr>
            <td width="100%" colspan="2">&nbsp;&nbsp;</td>
          </tr>
        </table>
      </td>
    </tr>
  </table>
  <br>
  $TargetListContentHidden
</form>
HERE

	# Render the page.
	$GroupOperations->RenderPageContent({ 'cgi' => $cgi, 'title' => $_R{'IDT:11'}, 'html' => $html, 'result' => $Result, 'status' => $Status, 'root-link' => 'go_power' });
}

###############################################################################
# The main body of the script.
###############################################################################

my $cgi = new CGI;

Main($cgi);


