#!/usr/bin/perl

###############################################################################
#                                                                             #
# Filename: firstboot1.cgi                                                    #
#                                                                             #
# Description: CGI needed to display the first boot welcome page.             #
#                                                                             #
###############################################################################
###############################################################################
#                                                                             #
#  Copyright  2000 - 2001 Intel Corporation.                                 #
#  Intel Corporation All Rights Reserved.                                     #
#                                                                             #
#  The source code contained or described herein and all documents related to #
#  the source code ("Material") are owned by Intel Corporation or its         #
#  suppliers or licensors.  Title to the Material remains with Intel          #
#  Corporation or its suppliers and licensors.  The Material contains trade   #
#  secrets and proprietary and confidential information of Intel or its       #
#  suppliers and licensors.  The Material is protected by worldwide copyright #
#  and trade secret laws and treaty provisions.  No part of the Material may  #
#  be used, copied, reproduced, modified, published, uploaded, posted,        #
#  transmitted, distributed, or disclosed in any way without Intel's prior    #
#  express written permission.                                                #
#                                                                             #
#  No license under any patent, copyright, trade secret or other intellectual #
#  property right is granted to or conferred upon you by disclosure or        #
#  delivery of the Materials, either expressly, by implication, inducement,   #
#  estoppel or otherwise. Any license under such intellectual property rights #
#  must be express and approved by Intel in writing.                          #
#                                                                             #
###############################################################################

# Put the PERL library in the path.
use lib '/usr/ins/intel/gui/perllib';

use strict;
use LanguageResource;
use DisplayMain;
use CGI;

###############################################################################
# Main
###############################################################################

sub Main
{
	my ($cgi) = @_;
	
	# If the start button is pressed...
	if (defined($cgi->param('start')))
	{
		# Redirect to the next form.
		print $cgi->redirect( -url => 'firstboot_license.cgi' );
		return;
	}
	else
	{
		my $PreferredLanguage	= (split(/,/, $ENV{'HTTP_ACCEPT_LANGUAGE'}))[0];
		my $StringResource		= new LanguageResource($PreferredLanguage, '/usr/ins/intel/gui/locale', [ 'firstboot1.lrc' ]);
		my %_R					= ( 'IDT:10000'		=> '',
									'INTRODUCTION'	=> '',
									'STEP1_LABEL'	=> '',
									'STEP1_TEXT'	=> '',
									'STEP2_LABEL'	=> '',
									'STEP2_TEXT'	=> '',
									'STEP3_LABEL'	=> '',
									'STEP3_TEXT'	=> '',
									'START_WIZARD'	=> '' );
		my $Result;
		my $Feedback;
		my $html;

		# If there was an error...
		if (defined($cgi->param('restart')))
		{
			# Get the error code.
			$Feedback = $StringResource->_S($Result = 1000000);
		}

		# Get the string resources.
		$StringResource->GetStrings(\%_R);
	
		$html = <<HERE;
<table border=0 width=550 bgcolor=white>
<tr>
	<td>$_R{'INTRODUCTION'}</td>
</tr>
<tr>
	<td>&nbsp;</td>
</tr>
<tr>
	<td bgcolor=#eeeeee>
		<table border=0 width=100% bgcolor=#eeeeee>
		<tr>
			<td>&nbsp;
				<table cellspacing=1 border=0 width=100% bgcolor=#eeeeee>
				<form method=post action=firstboot1.cgi enctype=application/x-www-form-urlencoded>
				<tr>
					<td width=1>&nbsp;</td>
					<td width=135 valign=top><img align=absmiddle border=0 width=24 src=/images/1.gif height=22><b>$_R{'STEP1_LABEL'}</b></td>
					<td width=340>$_R{'STEP1_TEXT'}</td>
				</tr>
				<tr>
					<td>&nbsp;</td>
				</tr>
				<tr>
					<td width=1>&nbsp;</td>
					<td width=135 valign=top><img align=absmiddle border=0 width=24 src=/images/2.gif height=22><b>$_R{'STEP2_LABEL'}</b></td>
					<td width=340>$_R{'STEP2_TEXT'}</td>
				</tr>
				<tr>
					<td>&nbsp;</td>
				</tr>
				<tr>
					<td width=1>&nbsp;</td>
					<td width=135 valign=top><img align=absmiddle border=0 width=24 src=/images/3.gif height=22><b>$_R{'STEP3_LABEL'}</b></td>
					<td width=340>$_R{'STEP3_TEXT'}</td>
				</tr>
				<tr>
					<td>&nbsp;</td>
				</tr>
				<tr>
					<td align=right colspan=3><input type=submit class=clsButton value='$_R{'START_WIZARD'}' name=start></td>
				</tr>
				</form>
				</table>
			</td>
		</tr>
		</table>
	</td>
</tr>
</table>
HERE
	
		# Display the page.
		DisplayMain->printDocument({ 'q' => $cgi, 'html' => $html, 
									 'title' => $_R{'IDT:10000'}, 'margin-left' => 3,
									 'result' => $Result, 'feedback' => $Feedback });
	}
}

###############################################################################
# The main body of the script.
###############################################################################

my $cgi = new CGI;

Main($cgi);
