#!/usr/bin/perl	-w

###############################################################################
#                                                                             #
# Filename: login.cgi                                                         #
#                                                                             #
# Description: Contains CGI script needed to facilitate system login.         #
#                                                                             #
###############################################################################
###############################################################################
#                                                                             #
#  Copyright  2000 - 2001 Intel Corporation.                                 #
#  Intel Corporation All Rights Reserved.                                     #
#                                                                             #
#  The source code contained or described herein and all documents related to #
#  the source code ("Material") are owned by Intel Corporation or its         #
#  suppliers or licensors.  Title to the Material remains with Intel          #
#  Corporation or its suppliers and licensors.  The Material contains trade   #
#  secrets and proprietary and confidential information of Intel or its       #
#  suppliers and licensors.  The Material is protected by worldwide copyright #
#  and trade secret laws and treaty provisions.  No part of the Material may  #
#  be used, copied, reproduced, modified, published, uploaded, posted,        #
#  transmitted, distributed, or disclosed in any way without Intel's prior    #
#  express written permission.                                                #
#                                                                             #
#  No license under any patent, copyright, trade secret or other intellectual #
#  property right is granted to or conferred upon you by disclosure or        #
#  delivery of the Materials, either expressly, by implication, inducement,   #
#  estoppel or otherwise. Any license under such intellectual property rights #
#  must be express and approved by Intel in writing.                          #
#                                                                             #
###############################################################################

# Put the PERL library in the path.
use lib '/usr/ins/intel/gui/perllib';

use strict;
use PrintIndex;
use Apache;
use CGI;

###############################################################################
# Main
###############################################################################

sub Main
{
	my ($cgi, $Request)	= @_;

	# If there is a previous request...
	unless ($Request->prev())
	{
		# Redirect to root.
		print $cgi->redirect('/');
		return;
	}
	else
	{
		my $Form = PrintIndex::getLoginIndex($cgi);

		# Send back the data.
		$Request->no_cache(1);
		$Request->content_type("text/html");
		$Request->header_out("Content-length", length($Form));
		$Request->header_out("Pragma", "no-cache");
		$Request->status(200);
		$Request->send_http_header();
		$Request->print($Form);	
	}
}

###############################################################################
# The main body of the script.
###############################################################################

my $cgi		= new CGI;
my $Request = Apache->request();

Main($cgi, $Request);
