#!/usr/bin/perl

###############################################################################
#                                                                             #
# Filename: index.cgi                                                         #
#                                                                             #
# Description: Contains script needed to start the browser based management   #
#              experience.                                                    #
#                                                                             #
###############################################################################
###############################################################################
#                                                                             #
#  Copyright  2000 - 2001 Intel Corporation.                                 #
#  Intel Corporation All Rights Reserved.                                     #
#                                                                             #
#  The source code contained or described herein and all documents related to #
#  the source code ("Material") are owned by Intel Corporation or its         #
#  suppliers or licensors.  Title to the Material remains with Intel          #
#  Corporation or its suppliers and licensors.  The Material contains trade   #
#  secrets and proprietary and confidential information of Intel or its       #
#  suppliers and licensors.  The Material is protected by worldwide copyright #
#  and trade secret laws and treaty provisions.  No part of the Material may  #
#  be used, copied, reproduced, modified, published, uploaded, posted,        #
#  transmitted, distributed, or disclosed in any way without Intel's prior    #
#  express written permission.                                                #
#                                                                             #
#  No license under any patent, copyright, trade secret or other intellectual #
#  property right is granted to or conferred upon you by disclosure or        #
#  delivery of the Materials, either expressly, by implication, inducement,   #
#  estoppel or otherwise. Any license under such intellectual property rights #
#  must be express and approved by Intel in writing.                          #
#                                                                             #
###############################################################################

# Put the PERL library in the path.
use lib '/usr/ins/intel/gui/perllib';

use strict;
use PrintIndex;
use CGI;

###############################################################################
# Main
###############################################################################

sub Main
{
	my $cgi = shift;

	# If there is a first boot file...
	if ( -e '/usr/ins/intel/gui/htdocs/firstboot' )
	{
		# Display the first boot wizard.
		PrintIndex::displayFirstBoot($cgi);
	}
	elsif ($cgi->remote_user())
	{
		# Display the normal index.
		PrintIndex::displayIndex($cgi);
	}
	else
	{
		# Redirect here.
		print $cgi->redirect('/login/index.cgi');
	}
}

###############################################################################
# The main body of the script.
###############################################################################

my $cgi = new CGI;

Main($cgi);
