//###################################################################
//  INTEL Copyright (2001)                                          #
//  Intel Corporation All Rights Reserved.                          #
//                                                                  #
//  The source code contained or described herein and all           #
//  documents related to the source code ("Material") are owned     #
//  by Intel Corporation or its suppliers or licensors.  Title      #
//  to the Material remains with Intel Corporation or its           #
//  suppliers and licensors.  The Material contains trade secrets   #
//  and proprietary and confidential information of Intel or its    #
//  suppliers and licensors.  The Material is protected by          #
//  worldwide copyright and trade secret laws and treaty            #
//  provisions.  No part of the Material may be used, copied,       #
//  reproduced, modified, published, uploaded, posted,              #
//  transmitted, distributed, or disclosed in any way without       #
//  Intel's prior express written permission.                       #
//                                                                  #
//  No license under any patent, copyright, trade secret or other   #
//  intellectual property right is granted to or conferred upon     #
//  you by disclosure or delivery of the Materials,  either         #
//  expressly, by implication, inducement, estoppel or otherwise.   #
//  Any license under such intellectual property rights must be     #
//  express and approved by Intel in writing.                       #
//###################################################################

var whitespace = " ";
var dot = ".";
var defaultBoolean = false;
var boolForIsEmpty = true; //this boolean must be the opposite of defaultBoolean

function isEmpty(s)
{  return ((s == null) || (s.length == 0)) }

function isWhitespace (s)
{   
    var i;

    if (isEmpty(s)) return true;
    for (i = 0; i < s.length; i++)
    {
        var c = s.charAt(i);
        if (whitespace.indexOf(c) == -1) return false;
    }

    return true;
}

function isLetter (c)
{   return ( ((c >= "a") && (c <= "z")) || ((c >= "A") && (c <= "Z")) ) }

function isDigit (c)
{   return ((c >= "0") && (c <= "9")) }

function isLetterOrDigit (c)
{   return (isLetter(c) || isDigit(c)) }

function isInteger (s)
{   
    var i;

    if (isEmpty(s))
    { return (isItAnInteger.arguments[1] == boolForIsEmpty); }

    for (i = 0; i < s.length; i++)
    {
        var c = s.charAt(i);
        if (!isDigit(c)) return false;
    }

    return true;
}

function warnEmpty(theField, s)
{   
    theField.focus();
    alert(s);
    return false;
}

function warnInvalid(theField, s)
{   
    theField.focus();
    theField.select();
    alert(s);
    return false;
}

function isBasicIPFormat(s, emptyOK)
{
    var i=0;

    if (isEmpty(s))
    { return (isBasicIPFormat.arguments[1] == boolForIsEmpty); }

    if (isWhitespace(s)) return false;
    
    var sLength = s.length;
    var count = 0;
    var tempNumber = 0;
    var firstDotIndex = 0;
    var secondDotIndex = 0;
    var thirdDotIndex = 0;

    if((sLength > 15) || (sLength < 7))
        return false;

    for(i = 0; i < sLength; i++)
    {
        if(!(isDigit(s.charAt(i))) && !(s.charAt(i) == "."))
            return false;

	if(s.charAt(i) == ".")
        {
            if(count == 0) firstDotIndex = i;
            else if(count == 1) secondDotIndex = i;
            else if(count == 2) thirdDotIndex = i;

            count++;
        }
    }

    if((count != 3)) return false;

    if(((secondDotIndex - firstDotIndex) == 0) || ((secondDotIndex - firstDotIndex) > 4) ||
            ((thirdDotIndex - secondDotIndex) == 0) || ((thirdDotIndex - secondDotIndex) > 4) ||
            ((sLength - thirdDotIndex) == 1) || ((sLength - thirdDotIndex) > 4) ||
            (firstDotIndex > 3) || (firstDotIndex < 1))
        return false;

    return true;
}

function isIP (s, emptyOK)
{   
    var i=0;

    if (isEmpty(s))
    { return (isIP.arguments[1] == boolForIsEmpty); }

    if (isWhitespace(s)) return false;

    var sLength = s.length;
    var count = 0;
    var tempNumber = 0;
    var firstDotIndex = 0;
    var secondDotIndex = 0;
    var thirdDotIndex = 0;

    if((sLength > 15) || (sLength < 7))
        return false;

    for(i = 0; i < sLength; i++)
    {
        if(!(isDigit(s.charAt(i))) && !(s.charAt(i) == "."))
            return false;

	if(s.charAt(i) == ".")
        {
            if(count == 0) firstDotIndex = i;
            else if(count == 1) secondDotIndex = i;
            else if(count == 2) thirdDotIndex = i;

            count++;
        }
    }

    if((count != 3)) return false;

    if(((secondDotIndex - firstDotIndex) == 0) || ((secondDotIndex - firstDotIndex) > 4) ||
            ((thirdDotIndex - secondDotIndex) == 0) || ((thirdDotIndex - secondDotIndex) > 4) ||
            ((sLength - thirdDotIndex) == 1) || ((sLength - thirdDotIndex) > 4) ||
            (firstDotIndex > 3) || (firstDotIndex < 1))
        return false;

    tempNumber = "";
    for(i=0; i<firstDotIndex; i++)
    { tempNumber = tempNumber + s.charAt(i); }    
    if((parseInt(tempNumber, 10) < 1) || (parseInt(tempNumber, 10) > 255))
        return false;

    tempNumber = "";
    for(i=firstDotIndex+1; i<secondDotIndex; i++)
    { tempNumber = tempNumber + s.charAt(i); }    
    if((parseInt(tempNumber, 10) < 0) || (parseInt(tempNumber, 10) > 255))
        return false;

    tempNumber = "";
    for(i=secondDotIndex+1; i<thirdDotIndex; i++)
    { tempNumber = tempNumber + s.charAt(i); }    
    if((parseInt(tempNumber, 10) < 0) || (parseInt(tempNumber, 10) > 255))
        return false;

    tempNumber = "";
    for(i=thirdDotIndex+1; i<sLength; i++)
    { tempNumber = tempNumber + s.charAt(i); }    
    if((parseInt(tempNumber, 10) < 0) || (parseInt(tempNumber, 10) > 255))
        return false;

    return true;
}

function checkString(theField, emptyOK)
{
    if (isEmpty(theField.value) && (checkString.arguments[1] == boolForIsEmpty))
    { return true; } 

    if (isWhitespace(theField.value) || isEmpty(theField.value))
       return warnEmpty (theField, mEmptyString);

    return true;
}

function checkBasicIPFormat(theField, emptyOK)
{   
    if (isEmpty(theField.value) && (checkBasicIPFormat.arguments[1] == boolForIsEmpty))
    { return true; } 

    if (isWhitespace(theField.value) || isEmpty(theField.value))
       return warnEmpty (theField, mEmptyString) ;
    
    if (!isBasicIPFormat(theField.value, "false"))
       return warnInvalid (theField, iBasicIP);
    else return true;
}

function isHost (s, emptyOK)
{   
    var i=0;

    if (isEmpty(s))
    { return (isHost.arguments[1] == boolForIsEmpty); }

    if (isWhitespace(s)) return false;

    var sLength = s.length;
    var count = 0;
    var tempAlphaNum = "";
    var firstDotIndex = 0;
    var secondDotIndex = 0;

    if(sLength < 5)
        return false;

    for(i = 0; i < sLength; i++)
    {
        if(!(isAlphanumeric(s.charAt(i))) && !(s.charAt(i) == ".")
		&& !(s.charAt(i) == "_") && !(s.charAt(i) == "-"))
            return false;

	if(s.charAt(i) == ".")
        {
            if(count == 0) firstDotIndex = i;
            else if(count == 1) secondDotIndex = i;

            count++;
        }
    }

    if((count != 2)) return false;

    if(((secondDotIndex - firstDotIndex) == 0) || (firstDotIndex == 0) || (sLength - secondDotIndex == 1))
        return false;

    return true;
}

function checkIP(theField, emptyOK)
{   
    if (isEmpty(theField.value) && (checkIP.arguments[1] == boolForIsEmpty))
    { return true; } 

    if (isWhitespace(theField.value) || isEmpty(theField.value))
       return warnEmpty (theField, mEmptyString) ;
    
    if (!isIP(theField.value, "false"))
       return warnInvalid (theField, iIP);
    else return true;
}

function isAlphanumeric (s)
{   
    var i;

    if (isEmpty(s))
    { return (isAlphanumeric.arguments[1] == boolForIsEmpty); }

    for (i = 0; i < s.length; i++)
    {
        var c = s.charAt(i);

        if (! (isLetter(c) || isDigit(c) ) )
        return false;
    }

    return true;
}

function checkSpecialCharsHost(theField, emptyOK)
{
    if (isEmpty(theField.value) && (checkSpecialCharsHost.arguments[1] == boolForIsEmpty))
    { return true; } 

    var i=0;
    var s = theField.value;
    var sLength = s.length;

    if (isWhitespace(theField.value) || isEmpty(theField.value))
       return warnEmpty (theField, mEmptyString);

    for(i = 0; i < sLength; i++)
    {
        if(!(isAlphanumeric(s.charAt(i))) && !(s.charAt(i) == ".") && !(s.charAt(i) == "-"))
            return warnInvalid (theField, iSpecial);
    }

    return true;
}

function validate_server_network(hostField, hostFieldBool, domainField, domainFieldBool,
            pdns1Field, pdns1FieldBool, sdns1Field, sdns1FieldBool, sdns2Field, sdns2FieldBool)
{
    if(!checkSpecialCharsHost(hostField, hostFieldBool))
            return false;

    if(!checkSpecialCharsHost(domainField, domainFieldBool))
            return false;

	if(!(checkIP(pdns1Field, pdns1FieldBool)))
		return false; 

	if(!(checkIP(sdns1Field, sdns1FieldBool)))
		return false; 

	if(!(checkIP(sdns2Field, sdns2FieldBool)))
		return false; 
}

function validate_server_network(hostField, hostFieldBool, domainField, domainFieldBool,
                pdns1Field, pdns1FieldBool, sdns1Field, sdns1FieldBool, sdns2Field, sdns2FieldBool)
{
        if(!checkSpecialCharsHost(hostField, hostFieldBool))
                return false;

        if(!checkSpecialCharsHost(domainField, domainFieldBool))
                return false;

	if(!(checkIP(pdns1Field, pdns1FieldBool)))
		return false; 

	if(!(checkIP(sdns1Field, sdns1FieldBool)))
		return false; 

	if(!(checkIP(sdns2Field, sdns2FieldBool)))
		return false; 
}

function validate_server_network_IP_address(argForm, ipAddressFieldBool, netmaskFieldBool, 
		broadcastFieldBool, defaultgwFieldBool)
{
    var startPoint=4;
    var endPoint=9;
    var increment=5;
	var checkedFlag="false";
	var i=0;

	if(argForm.disable_nic1.checked && argForm.disable_nic2.checked)
	{ alert(iAllNICDisable); return false; } 

	for(i=startPoint; i<= endPoint; i=i+increment)
	{
	       	if(!(checkIP(argForm.elements[i], ipAddressFieldBool)))
	       	        return false;

	        if(!(checkBasicIPFormat(argForm.elements[i+1], netmaskFieldBool)))
        	        return false;

	        if(!(checkBasicIPFormat(argForm.elements[i+2], broadcastFieldBool)))
	                return false;
	}

	if(argForm.disable_nic1.checked && !isIP(argForm.elements[9].value, false))
	{ alert(iAllNICDisable); return false; }

	
	if(argForm.disable_nic2.checked && !isIP(argForm.elements[4].value, false))
	{ alert(iAllNICDisable); return false; }

        if(!(checkIP(argForm.defaultgw, defaultgwFieldBool)))
               return false;

	return true;
}

function validate_server_network_VIP_address(argForm, ipAddressFieldBool, netmaskFieldBool, broadcastFieldBool)
{
    var startPoint=5;
    var endPoint=3;
    var increment=4;
	var checkedFlag="false";
	var i=0;

	startPoint=5;

	for(i=startPoint; i< argForm.elements.length-1; i=i+4)
	{
		if(argForm.elements[i-1].checked)
			checkedFlag=true;
	}

	if(checkedFlag == "false")
	{
		alert(mNotChecked);
		return false;
	}

	for(i=startPoint; i< argForm.elements.length-endPoint; i=i+increment)
	{
		if(argForm.elements[i-1].checked)
		{
	        	if(!(checkIP(argForm.elements[i], ipAddressFieldBool)))
	        	        return false;

		        if(!(checkBasicIPFormat(argForm.elements[i+1], netmaskFieldBool)))
	        	        return false;
	
		        if(!(checkBasicIPFormat(argForm.elements[i+2], broadcastFieldBool)))
		                return false;
		}
	}
	
	return true;
}

function confirm_server_network_VIP_delete(argForm)
{
	var startPoint=0;
	var checkedFlag="false";
	var i=0;
	
	startPoint=5;
	
	for(i=startPoint; i< argForm.elements.length-1; i=i+4)
	{
			 if(argForm.elements[i-1].checked)
						checkedFlag=true;
	}
	
	if(checkedFlag == "false")
	{
			 alert(mNotChecked);
			 return false;
	}

	return confirm(mConfirmVIPDelete);
}

function validate_set_nic(argForm, interfaceFieldBool, ipAddressFieldBool, netmaskFieldBool, broadcastFieldBool)
{
	if(!checkString(argForm.elements[0], interfaceFieldBool))
		return false;

	if(!checkIP(argForm.elements[1], ipAddressFieldBool))
		return false;

	if(!checkBasicIPFormat(argForm.elements[2], netmaskFieldBool))
		return false;

	if(!checkBasicIPFormat(argForm.elements[3], broadcastFieldBool))
		return false;
}

function setBcast(argForm, argIndicator)
{
        var startPoint=5;
        var endPoint=3;
        var increment=4;
        var i=0;

        if(argIndicator == 1)
        { startPoint=4; endPoint=8; increment=5; }
        else
        { startPoint=5; endPoint=3; increment=4; }

        for(i=startPoint; i< argForm.elements.length-endPoint; i=i+increment)
        {
                if(argForm.elements[i-1].checked || (argIndicator == 1))
                {
                        if(argForm.bcast.checked)
                        { 
				var numOfDots=0;
				var tempVal="";
				
				for(var j=0; j<argForm.elements[i].value.length; j++)
				{
					if(argForm.elements[i].value.charAt(j) == ".")
					{ numOfDots++; }
					if(numOfDots < 3)
					{ tempVal += argForm.elements[i].value.charAt(j); }
				}
	
				if(numOfDots == 3)
				{ argForm.elements[i+2].value= tempVal + ".255"; }
                        	else
	                        { argForm.elements[i+2].value=""; }
			}
			else
			{ argForm.elements[i+2].value=""; }
                }
        }

        return true;
}

function setNetmask(argForm, argIndicator)
{
        var startPoint=5;
        var endPoint=3;
        var increment=4;
        var i=0;

	if(argIndicator == 1)
	{ startPoint=4;	endPoint=8; increment=5; }
	else
	{ startPoint=5; endPoint=3; increment=4; }

        for(i=startPoint; i< argForm.elements.length-endPoint; i=i+increment)
        {
                if(argForm.elements[i-1].checked || (argIndicator == 1))
		{
			if(argForm.nmask.checked)
			{ argForm.elements[i+1].value="255.255.255.0"; }
			else
			{ argForm.elements[i+1].value=""; }
		}
        }

        return true;
}