////////////////////////////////////////////////////////////////////////////////
//                                                                             /
// Filename: utilities.js                                                      /
//                                                                             /
////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////
//                                                                             /
//  Copyright  2000 - 2001 Intel Corporation.                                 /
//  Intel Corporation All Rights Reserved.                                     /
//                                                                             /
//  The source code contained or described herein and all documents related to /
//  the source code ("Material") are owned by Intel Corporation or its         /
//  suppliers or licensors.  Title to the Material remains with Intel          /
//  Corporation or its suppliers and licensors.  The Material contains trade   /
//  secrets and proprietary and confidential information of Intel or its       /
//  suppliers and licensors.  The Material is protected by worldwide copyright /
//  and trade secret laws and treaty provisions.  No part of the Material may  /
//  be used, copied, reproduced, modified, published, uploaded, posted,        /
//  transmitted, distributed, or disclosed in any way without Intel's prior    /
//  express written permission.                                                /
//                                                                             /
//  No license under any patent, copyright, trade secret or other intellectual /
//  property right is granted to or conferred upon you by disclosure or        /
//  delivery of the Materials, either expressly, by implication, inducement,   /
//  estoppel or otherwise. Any license under such intellectual property rights /
//  must be express and approved by Intel in writing.                          /
//                                                                             /
////////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////
// Globals
////////////////////////////////////////////////////////////////////////////////

whitespace = " ";

////////////////////////////////////////////////////////////////////////////////
// checkAll
////////////////////////////////////////////////////////////////////////////////

function checkAll(cCheckboxes)
{
	var i;

	for (i = 1; i < cCheckboxes.length; i++)
	{
		cCheckboxes[i].checked = cCheckboxes[0].checked;
	}
}

////////////////////////////////////////////////////////////////////////////////
// isEmpty
////////////////////////////////////////////////////////////////////////////////

function isEmpty(cString)
{
	return ((cString == null) || (cString.length == 0));
}

////////////////////////////////////////////////////////////////////////////////
// isWhitespace
////////////////////////////////////////////////////////////////////////////////

function isWhitespace(cString)
{   
	if (!isEmpty(cString))
	{
		var i;
		
		for (i = 0; i < cString.length; i++)
		{
			if (-1 == whitespace.indexOf(cString.charAt(i)))
			{
				return false;
			}
		}
	}
	
	return true;
}

////////////////////////////////////////////////////////////////////////////////
// warnEmpty
////////////////////////////////////////////////////////////////////////////////

function warnEmpty(cField, sAlert)
{   
	cField.focus();
	
	alert(sAlert);
	
	return false;
}

////////////////////////////////////////////////////////////////////////////////
// warnInvalid
////////////////////////////////////////////////////////////////////////////////

function warnInvalid(cField, sAlert)
{   
	cField.focus();
	cField.select();
	
	alert(sAlert);
	
	return false;
}

