package EnumeratorArray;

###############################################################################
#                                                                             #
# Filename: EnumeratorArray.pm                                                #
#                                                                             #
# Description: Iteration class used to enumerate array elements.              #
#                                                                             #
# Pattern(s): Iterator                                                        #
#                                                                             #
###############################################################################
###############################################################################
#                                                                             #
#  Copyright  2000 - 2001 Intel Corporation.                                 #
#  Intel Corporation All Rights Reserved.                                     #
#                                                                             #
#  The source code contained or described herein and all documents related to #
#  the source code ("Material") are owned by Intel Corporation or its         #
#  suppliers or licensors.  Title to the Material remains with Intel          #
#  Corporation or its suppliers and licensors.  The Material contains trade   #
#  secrets and proprietary and confidential information of Intel or its       #
#  suppliers and licensors.  The Material is protected by worldwide copyright #
#  and trade secret laws and treaty provisions.  No part of the Material may  #
#  be used, copied, reproduced, modified, published, uploaded, posted,        #
#  transmitted, distributed, or disclosed in any way without Intel's prior    #
#  express written permission.                                                #
#                                                                             #
#  No license under any patent, copyright, trade secret or other intellectual #
#  property right is granted to or conferred upon you by disclosure or        #
#  delivery of the Materials, either expressly, by implication, inducement,   #
#  estoppel or otherwise. Any license under such intellectual property rights #
#  must be express and approved by Intel in writing.                          #
#                                                                             #
###############################################################################

use strict;

###############################################################################
# EnumeratorArray::new
###############################################################################

sub new
{
	my ($class, $ArrayRef) = @_;

	# Initialize the object.
	my $this = 
	{
		'location'	=> -1,
		'array-ref'	=> $ArrayRef,
	};

	# Align the object with this package.
    bless($this, $class);

	# Return the object.
	return $this;
}

###############################################################################
# EnumeratorArray::hasNext
###############################################################################

sub hasMoreElements
{
	my $this = shift;

	# Return the current element count.
	return (defined($this->{'array-ref'})) ? defined($this->{'array-ref'}->[$this->{'location'} + 1]) : 0;
}

###############################################################################
# EnumeratorArray::next
###############################################################################

sub nextElement
{
	my $this = shift;
	
	# Return the next element.
	return (defined($this->{'array-ref'})) ? $this->{'array-ref'}->[++$this->{'location'}] : undef;
}

1;

__END__

