package MonAlert;

###############################################################################
#                                                                             #
# Filename: MonAlert.pm                                                       #
#                                                                             #
# Description: Container class for a monitor alert directive.                 #
#                                                                             #
###############################################################################
###############################################################################
#                                                                             #
#  Copyright  2000 - 2001 Intel Corporation.                                 #
#  Intel Corporation All Rights Reserved.                                     #
#                                                                             #
#  The source code contained or described herein and all documents related to #
#  the source code ("Material") are owned by Intel Corporation or its         #
#  suppliers or licensors.  Title to the Material remains with Intel          #
#  Corporation or its suppliers and licensors.  The Material contains trade   #
#  secrets and proprietary and confidential information of Intel or its       #
#  suppliers and licensors.  The Material is protected by worldwide copyright #
#  and trade secret laws and treaty provisions.  No part of the Material may  #
#  be used, copied, reproduced, modified, published, uploaded, posted,        #
#  transmitted, distributed, or disclosed in any way without Intel's prior    #
#  express written permission.                                                #
#                                                                             #
#  No license under any patent, copyright, trade secret or other intellectual #
#  property right is granted to or conferred upon you by disclosure or        #
#  delivery of the Materials, either expressly, by implication, inducement,   #
#  estoppel or otherwise. Any license under such intellectual property rights #
#  must be express and approved by Intel in writing.                          #
#                                                                             #
###############################################################################

use strict;

###############################################################################
# MonAlert::new
###############################################################################

sub new
{
	my ($class, $Type, $Alert, $Arguments) = @_;

	# Initialize the object.
	my $this = 
	{
		'type'		=> $Type, # 0 == alert on service down | 1 == alert on service up | 2 == alert on 'mon' startup
		'alert'		=> $Alert,
		'arguments'	=> $Arguments,
	};

	# Align the object with this package.
    bless($this, $class);

	# Return the object.
	return $this;
}

###############################################################################
# MonAlert::getType
###############################################################################

sub getType
{
	my $this = shift;
	
	# Return the requested data.
	return $this->{'type'};
}

###############################################################################
# MonAlert::setType
###############################################################################

sub setType
{
	my ($this, $Type) = @_;
	
	# Set the data.
	$this->{'type'} = $Type;

	return 0;
}

###############################################################################
# MonAlert::getAlert
###############################################################################

sub getAlert
{
	my $this = shift;
	
	# Return the requested data.
	return $this->{'alert'};
}

###############################################################################
# MonAlert::setAlert
###############################################################################

sub setAlert
{
	my ($this, $Alert) = @_;
	
	# Set the data.
	$this->{'alert'} = $Alert;

	return 0;
}

###############################################################################
# MonAlert::getArguments
###############################################################################

sub getArguments
{
	my $this = shift;
	
	# Return the requested data.
	return $this->{'arguments'};
}

###############################################################################
# MonAlert::setArguments
###############################################################################

sub setArguments
{
	my ($this, $Arguments) = @_;
	
	# Set the data.
	$this->{'arguments'} = $Arguments;

	return 0;
}

1;

__END__

