package MonAlertFactory;

###############################################################################
#                                                                             #
# Filename: MonAlertFactory.pm                                                #
#                                                                             #
# Description: Factory class for creating alert directives.                   #
#                                                                             #
# Pattern(s): Factory                                                         #
#                                                                             #
# References: MonAlert, MonAlertEmail                                         #
#                                                                             #
###############################################################################
###############################################################################
#                                                                             #
#  Copyright  2000 - 2001 Intel Corporation.                                 #
#  Intel Corporation All Rights Reserved.                                     #
#                                                                             #
#  The source code contained or described herein and all documents related to #
#  the source code ("Material") are owned by Intel Corporation or its         #
#  suppliers or licensors.  Title to the Material remains with Intel          #
#  Corporation or its suppliers and licensors.  The Material contains trade   #
#  secrets and proprietary and confidential information of Intel or its       #
#  suppliers and licensors.  The Material is protected by worldwide copyright #
#  and trade secret laws and treaty provisions.  No part of the Material may  #
#  be used, copied, reproduced, modified, published, uploaded, posted,        #
#  transmitted, distributed, or disclosed in any way without Intel's prior    #
#  express written permission.                                                #
#                                                                             #
#  No license under any patent, copyright, trade secret or other intellectual #
#  property right is granted to or conferred upon you by disclosure or        #
#  delivery of the Materials, either expressly, by implication, inducement,   #
#  estoppel or otherwise. Any license under such intellectual property rights #
#  must be express and approved by Intel in writing.                          #
#                                                                             #
###############################################################################

# Put the PERL library in the path.
use lib '/usr/ins/intel/gui/perllib';

use strict;
use MonAlert;
use MonAlertEmail;

###############################################################################
# MonAlertFactory::new
###############################################################################

sub new
{
	my ($class, $Type) = @_;

	# Initialize the object.
	my $this = 
	{
		'type' => $Type,
	};

	# Align the object with this package.
    bless($this, $class);

	# Return the object.
	return $this;
}

###############################################################################
# MonAlert::createAlert
###############################################################################

sub createAlert
{
	my ($this, $Type, $Alert, $Arguments) = @_;
	
	# Return the requested data.
	return ('mail.alert' eq $this->{'type'}) ? new MonAlertEmail($Type, $Arguments) : new MonAlert($Type, $Alert, $Arguments);
}

1;

__END__
