package MonAlertTolerance;

###############################################################################
#                                                                             #
# Filename: MonAlertTolerance.pm                                              #
#                                                                             #
# Description: Container class for a monitor alert tolerance directive.       #
#                                                                             #
###############################################################################
###############################################################################
#                                                                             #
#  Copyright  2000 - 2001 Intel Corporation.                                 #
#  Intel Corporation All Rights Reserved.                                     #
#                                                                             #
#  The source code contained or described herein and all documents related to #
#  the source code ("Material") are owned by Intel Corporation or its         #
#  suppliers or licensors.  Title to the Material remains with Intel          #
#  Corporation or its suppliers and licensors.  The Material contains trade   #
#  secrets and proprietary and confidential information of Intel or its       #
#  suppliers and licensors.  The Material is protected by worldwide copyright #
#  and trade secret laws and treaty provisions.  No part of the Material may  #
#  be used, copied, reproduced, modified, published, uploaded, posted,        #
#  transmitted, distributed, or disclosed in any way without Intel's prior    #
#  express written permission.                                                #
#                                                                             #
#  No license under any patent, copyright, trade secret or other intellectual #
#  property right is granted to or conferred upon you by disclosure or        #
#  delivery of the Materials, either expressly, by implication, inducement,   #
#  estoppel or otherwise. Any license under such intellectual property rights #
#  must be express and approved by Intel in writing.                          #
#                                                                             #
###############################################################################

use strict;

###############################################################################
# MonAlertTolerance::new
###############################################################################

sub new
{
	my ($class, $Tolerance, $Interval) = @_;

	# Initialize the object.
	my $this = 
	{
		'tolerance'	=> $Tolerance,
		'interval'	=> $Interval,
	};

	# Align the object with this package.
    bless($this, $class);

	# Return the object.
	return $this;
}

###############################################################################
# MonAlertTolerance::getTolerance
###############################################################################

sub getTolerance
{
	my $this = shift;
	
	# Return the requested data.
	return $this->{'tolerance'};
}

###############################################################################
# MonAlertTolerance::setTolerance
###############################################################################

sub setTolerance
{
	my ($this, $Tolerance) = @_;
	
	# Set the data.
	$this->{'tolerance'} = $Tolerance;

	return 0;
}

###############################################################################
# MonAlertTolerance::getInterval
###############################################################################

sub getInterval
{
	my $this = shift;
	
	# Return the requested data.
	return $this->{'interval'};
}

###############################################################################
# MonAlertTolerance::setInterval
###############################################################################

sub setInterval
{
	my ($this, $Interval) = @_;
	
	# Set the data.
	$this->{'interval'} = $Interval;

	return 0;
}


1;

__END__

