package SetNic;
$VERSION = "0.88";

###############################################################################
#                                                                             #
# Filename: SetNic.pm												          #
#                                                                             #
# Description: CGI needed to display and modify the Add V-IP address.         #
#                                                                             #
###############################################################################
###############################################################################
#                                                                             #
#  Copyright  2000 - 2001 Intel Corporation.                                 #
#  Intel Corporation All Rights Reserved.                                     #
#                                                                             #
#  The source code contained or described herein and all documents related to #
#  the source code ("Material") are owned by Intel Corporation or its         #
#  suppliers or licensors.  Title to the Material remains with Intel          #
#  Corporation or its suppliers and licensors.  The Material contains trade   #
#  secrets and proprietary and confidential information of Intel or its       #
#  suppliers and licensors.  The Material is protected by worldwide copyright #
#  and trade secret laws and treaty provisions.  No part of the Material may  #
#  be used, copied, reproduced, modified, published, uploaded, posted,        #
#  transmitted, distributed, or disclosed in any way without Intel's prior    #
#  express written permission.                                                #
#                                                                             #
#  No license under any patent, copyright, trade secret or other intellectual #
#  property right is granted to or conferred upon you by disclosure or        #
#  delivery of the Materials, either expressly, by implication, inducement,   #
#  estoppel or otherwise. Any license under such intellectual property rights #
#  must be express and approved by Intel in writing.                          #
#                                                                             #
###############################################################################

use lib "/usr/ins/intel/gui/perllib";
use strict;
use DisplayMain;
use NetConfig;

################################################################################

sub generateIPAlias {

	my ($selected_nic) = @_;

	##  Create the Fake Adapter Name
	##################################################
	
	my @rawlist = NetConfig->listNetInterfaces();
	my (@stack, @stack1, @stack2);

	## Generate Lists for eth0 and eth1
	##################################################

	for (@rawlist) { 
		if    ( $_->{fullnic} =~ /(eth0:)(\d+)/ ) { push (@stack1, $2); } 
		elsif ( $_->{fullnic} =~ /(eth1:)(\d+)/ ) { push (@stack2, $2); } 
	}

	if ( $selected_nic eq 'eth0' ) 	{ @stack = @stack1; }
	else 				{ @stack = @stack2; }

	## Find the first available interface for the selected nic
	############################################################

	for ( 1..254 ) {
		my $nic = $_;	
		if ( grep (/\b$nic\b/, @stack) == 1) { next; }
		else { return ($nic); }  
	}
}

################################################################################

sub confirmNic {

	my ($self,$q,$nic,$ipaddr,$netmask,$broadcast,$purpose,$virtualip,$fakenic) = @_;
	my ($html,$feedback);

	my $PreferredLanguage	= (split(/,/, $ENV{'HTTP_ACCEPT_LANGUAGE'}))[0];
	my $StringResource		= new LanguageResource($PreferredLanguage, '/usr/ins/intel/gui/locale', [ 'server_network.lrc', 'common.lrc' ]);
	my %_R					= ( 'IDT:4900'						=> '',
								'IDT:4500'						=> '',
								'ADAPTER'						=> '',
								'DISABLE'						=> '',
								'INTERFACE'						=> '',
								'IP_ADDRESS'					=> '',
								'NETMASK'						=> '',
								'BROADCAST'						=> '',
								'ADD'							=> '',
								'ERR_iSpecial'					=> '',
								'ERR_iIP'						=> '',
								'ERR_iHost'						=> '',
								'ERR_iBasicIP'					=> '',
								'ERR_iAllNICDisable'			=> '',
								'ERR_mNotChecked'				=> '',
								'ERR_mConfirmVIPDelete'			=> '',
								'ERR_mEmptyString'				=> '' );
	#my $feedback;
	my $Result;
	# Get the string resources.
	$StringResource->GetStrings(\%_R);

	if ($purpose eq $_R{"ADD"}) {

		($nic,$ipaddr,$netmask,$broadcast) = ""; 

		my $nic1 = generateIPAlias('eth0');
		my $nic2 = generateIPAlias('eth1');

		$nic1 = "eth0:".$nic1;
		$nic2 = "eth1:".$nic2;

		##################################################


	$html = "<script>	
			var iSpecial			= '$_R{'ERR_iSpecial'}'; 
			var iIP					= '$_R{'ERR_iIP'}';  
			var iHost				= '$_R{'ERR_iHost'}';  
			var iBasicIP			= '$_R{'ERR_iBasicIP'}'; 
			var iAllNICDisable		= '$_R{'ERR_iAllNICDisable'}';  
			var mNotChecked			= '$_R{'ERR_mNotChecked'}'; 
			var mConfirmVIPDelete	= '$_R{'ERR_mConfirmVIPDelete'}';
			var mEmptyString		= '$_R{'ERR_mEmptyString'}';
		</script><script src=/style/net_val_lib.js language=javascript></script>" .
		$q->start_form( {-action=>'/cgi-bin/server/server_network.cgi', -method=>'get'}) . "\n".
		$q->table( {-border=>'0', -bgcolor=>'#eeeeee', -width=>'375'}, $q->Tr( $q->td ( 
		$q->table( {-border=>'0',-width=>'100%'},
			$q->Tr( 
				$q->td({-colspan=>'4',-width=>'100%'},"&nbsp"))) . "\n".
		$q->table({-border=>'0', -bgcolor=>'#EEEEEE',-width=>'100%',-cellspacing=>'3',-cellpadding=>'2',-align=>'center'},
			$q->Tr( {-bgcolor=>'#808080'}, $q->td( {-align=>'left', -height=>'35'},
                [	'<font color=white><b>' . $_R{"INTERFACE"} . '</b></font>',
                        '<font color=white><b>' . $_R{"IP_ADDRESS"} . '</b></font>',
                        '<font color=white><b>' . $_R{"NETMASK"} . '</b></font>',
                        '<font color=white><b>' . $_R{"BROADCAST"} . '</b></font>'])) .

		$q->Tr( {-bgcolor=>'white'}, 
			$q->td( $q->popup_menu( -name=>'nic', -values=>[$nic1,$nic2], -labels=>{$nic1=>$_R{"ADAPTER"}."1", $nic2=>$_R{"ADAPTER"}."2"}, -default=>"$nic1" )),
			$q->td( $q->textfield( -name=>'ipaddr', -value=>"$ipaddr", -size=>'14', -maxlength=>'15')),
			$q->td( $q->textfield( -name=>'netmask', -value=>"$netmask", -size=>'14', -maxlength=>'15')),
			$q->td( $q->textfield( -name=>'broadcast', -value=>"$broadcast", -size=>'14', -maxlength=>'15'))),
		$q->Tr( $q->td( $q->hidden( {-name=>'addnic', -value=>"$nic,$ipaddr,$netmask,$broadcast"})))) . "\n".
		$q->table( {-border=>'0',-width=>'100%'},
			$q->Tr(
				$q->td( {-colspan=>'4', -align=>'right'}, $q->submit( -class=>'clsButton', -name=>'purpose', -value=>"$purpose", -onClick=>'return validate_set_nic(document.forms[0], true, false, true, true)'),
				$q->reset({-class=>'clsButton'}))))))). "\n".
	$q->end_form;
	}

	else {

	$html = 
		$q->start_form( {-action=>'/cgi-bin/server/server_network.cgi', -method=>'get'}) . "\n".
		$q->table( {-border=>'0', -bgcolor=>'#eeeeee', -width=>'375'}, $q->Tr( $q->td ( 
		$q->table( {-border=>'0',-width=>'100%'},
			$q->Tr( 
				$q->td({-colspan=>'4',-width=>'100%'},"&nbsp"))) . "\n".
		$q->table({-border=>'0', -bgcolor=>'#EEEEEE',-width=>'100%',-cellspacing=>'3',-cellpadding=>'2',-align=>'left'},
			$q->Tr( {-bgcolor=>'#808080'}, $q->td( {-align=>'left'},
                [	'<font color=white><b>' . $_R{"INTERFACE"} . '</b></font>',
                        '<font color=white><b>' . $_R{"IP_ADDRESS"} . '</b></font>',
                        '<font color=white><b>' . $_R{"NETMASK"} . '</b></font>',
                        '<font color=white><b>' . $_R{"BROADCAST"} . '</b></font>'])) .

			$q->Tr( $q->td( {-width=>'12'}, $q->hidden( -name=>'nic', -value=>"$nic"), $q->b("&nbsp;$fakenic")),
				$q->td( $q->textfield( -name=>'ipaddr', -value=>"$ipaddr", -size=>'14', -maxlength=>'15')),
				$q->td( $q->textfield( -name=>'netmask', -value=>"$netmask", -size=>'14', -maxlength=>'15')),
				$q->td( $q->textfield( -name=>'broadcast', -value=>"$broadcast", -size=>'14', -maxlength=>'15'))),
			$q->Tr( $q->td( $q->hidden( {-name=>'deletenic', -value=>"$nic"}))),
			$q->Tr( {-align=>'center'}, $q->td( {-colspan=>'4', -align=>'right'}, 
				$q->submit( -class=>'clsButton', -name=>'purpose', -value=>"$purpose"),
				$q->reset({-class=>'clsButton'}))))))). "\n".
		$q->end_form;
	}

	DisplayMain->printDocument({ 'q' => $q, 'html' => $html,
							 'cookiecrumbs' => [ { 'name' => $_R{'IDT:4500'}, 'location' => 'server_network.cgi' } ],
							 'class' => 'server_network', 'id' => 4900, 'title' => $_R{'IDT:4900'},
							 'root-link' => 'server_network', 'result' => $Result, 'feedback' => $feedback });

}
1;
